Package org.drinkless.tdlib

# Class TdApi.UpdateNewChatJoinRequest

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdateNewChatJoinRequest

Enclosing class:
  `TdApi`

public static class TdApi.UpdateNewChatJoinRequest extends TdApi.Update
A user sent a join request to a chat; for bots only.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Chat identifier.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.ChatInviteLink`
  `inviteLink`
  The invite link, which was used to send join request; may be null.
  `TdApi.ChatJoinRequest`
  `request`
  Join request.
  `long`
  `userChatId`
  Chat identifier of the private chat with the user.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateNewChatJoinRequest()`
  A user sent a join request to a chat; for bots only.
  `UpdateNewChatJoinRequest(long chatId, TdApi.ChatJoinRequest request, long userChatId, TdApi.ChatInviteLink inviteLink)`
  A user sent a join request to a chat; for bots only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Chat identifier.

  - ### request

    public TdApi.ChatJoinRequest request
    Join request.

  - ### userChatId

    public long userChatId
    Chat identifier of the private chat with the user.

  - ### inviteLink

    @Nullable public TdApi.ChatInviteLink inviteLink
    The invite link, which was used to send join request; may be null.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdateNewChatJoinRequest

    public UpdateNewChatJoinRequest()
    A user sent a join request to a chat; for bots only.

  - ### UpdateNewChatJoinRequest

    public UpdateNewChatJoinRequest(long chatId, TdApi.ChatJoinRequest request, long userChatId, TdApi.ChatInviteLink inviteLink)
    A user sent a join request to a chat; for bots only.
    Parameters:
      `chatId` - Chat identifier.
      `request` - Join request.
      `userChatId` - Chat identifier of the private chat with the user.
      `inviteLink` - The invite link, which was used to send join request; may be null.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR